diff --git a/sys/dev/netif/jme/if_jme.c b/sys/dev/netif/jme/if_jme.c
index 5fb110361e..41a599f5ce 100644
--- a/sys/dev/netif/jme/if_jme.c
+++ b/sys/dev/netif/jme/if_jme.c
@@ -148,7 +148,9 @@ static int	jme_encap(struct jme_txdata *, struct mbuf **, int *);
 static void	jme_rxpkt(struct jme_rxdata *, int);
 static int	jme_rxring_dma_alloc(struct jme_rxdata *);
 static int	jme_rxbuf_dma_alloc(struct jme_rxdata *);
+#if 0
 static int	jme_rxbuf_dma_filter(void *, bus_addr_t);
+#endif
 
 static void	jme_tick(void *);
 static void	jme_stop(struct jme_softc *);
@@ -1234,7 +1236,6 @@ jme_dma_alloc(struct jme_softc *sc)
 	    1, JME_RING_BOUNDARY,	/* algnmnt, boundary */
 	    sc->jme_lowaddr,		/* lowaddr */
 	    BUS_SPACE_MAXADDR,		/* highaddr */
-	    NULL, NULL,			/* filter, filterarg */
 	    BUS_SPACE_MAXSIZE_32BIT,	/* maxsize */
 	    0,				/* nsegments */
 	    BUS_SPACE_MAXSIZE_32BIT,	/* maxsegsize */
@@ -1277,7 +1278,6 @@ jme_dma_alloc(struct jme_softc *sc)
 	    1, 0,			/* algnmnt, boundary */
 	    sc->jme_lowaddr,		/* lowaddr */
 	    BUS_SPACE_MAXADDR,		/* highaddr */
-	    NULL, NULL,			/* filter, filterarg */
 	    BUS_SPACE_MAXSIZE_32BIT,	/* maxsize */
 	    0,				/* nsegments */
 	    BUS_SPACE_MAXSIZE_32BIT,	/* maxsegsize */
@@ -1315,7 +1315,6 @@ jme_dma_alloc(struct jme_softc *sc)
 	    1, 0,			/* algnmnt, boundary */
 	    BUS_SPACE_MAXADDR,		/* lowaddr */
 	    BUS_SPACE_MAXADDR,		/* highaddr */
-	    NULL, NULL,			/* filter, filterarg */
 	    JME_TSO_MAXSIZE,		/* maxsize */
 	    JME_MAXTXSEGS,		/* nsegments */
 	    JME_MAXSEGSIZE,		/* maxsegsize */
@@ -2544,7 +2543,7 @@ jme_rxeof(struct jme_rxdata *rdata, int count, int cpuid)
 			 * This test should be enough to detect the pending
 			 * RSS information delivery, given:
 			 * - If RSS hash is not calculated, the hashinfo
-			 *   will be 0.  Howvever, the lower 32bits of RX
+			 *   will be 0.  However, the lower 32bits of RX
 			 *   buffers' physical address will never be 0.
 			 *   (see jme_rxbuf_dma_filter)
 			 * - If RSS hash is calculated, the lowest 4 bits
@@ -3424,6 +3423,7 @@ jme_rxring_dma_alloc(struct jme_rxdata *rdata)
 	return 0;
 }
 
+#if 0
 static int
 jme_rxbuf_dma_filter(void *arg __unused, bus_addr_t paddr)
 {
@@ -3438,6 +3438,7 @@ jme_rxbuf_dma_filter(void *arg __unused, bus_addr_t paddr)
 	}
 	return 0;
 }
+#endif
 
 static int
 jme_rxbuf_dma_alloc(struct jme_rxdata *rdata)
@@ -3447,7 +3448,9 @@ jme_rxbuf_dma_alloc(struct jme_rxdata *rdata)
 
 	lowaddr = BUS_SPACE_MAXADDR;
 	if (JME_ENABLE_HWRSS(rdata->jme_sc)) {
+#if 0
 		/* jme_rxbuf_dma_filter will be called */
+#endif
 		lowaddr = BUS_SPACE_MAXADDR_32BIT;
 	}
 
@@ -3457,7 +3460,20 @@ jme_rxbuf_dma_alloc(struct jme_rxdata *rdata)
 	    JME_RX_BUF_ALIGN, 0,	/* algnmnt, boundary */
 	    lowaddr,			/* lowaddr */
 	    BUS_SPACE_MAXADDR,		/* highaddr */
-	    jme_rxbuf_dma_filter, NULL,	/* filter, filterarg */
+#if 0
+		/*
+		 * It should be safe to remove the jme_rxbuf_dma_filter as we
+		 * set lowaddr to BUS_SPACE_MAXADDR_32BIT, so we use 32 bit DMA
+		 * addressing.
+		 *
+		 * According to FreeBSD commit f37739d7:
+		 *
+		 * "JMC260 chip full mask revision 2 has a silicon bug that can't
+		 * handle 64bit DMA addressing. Add workaround to the bug by limiting
+		 * DMA address space to be within 32bit."
+		 */
+	    jme_rxbuf_dma_filter, NULL, /* filter, filterarg */
+#endif
 	    MCLBYTES,			/* maxsize */
 	    1,				/* nsegments */
 	    MCLBYTES,			/* maxsegsize */
diff --git a/sys/dev/netif/lnc/if_lnc_pci.c b/sys/dev/netif/lnc/if_lnc_pci.c
index 2f1325691c..7f791b7b7e 100644
--- a/sys/dev/netif/lnc/if_lnc_pci.c
+++ b/sys/dev/netif/lnc/if_lnc_pci.c
@@ -344,7 +344,6 @@ le_pci_attach(device_t dev)
 	    1, 0,			/* alignment, boundary */
 	    BUS_SPACE_MAXADDR_32BIT,	/* lowaddr */
 	    BUS_SPACE_MAXADDR,		/* highaddr */
-	    NULL, NULL,			/* filter, filterarg */
 	    BUS_SPACE_MAXSIZE_32BIT,	/* maxsize */
 	    0,				/* nsegments */
 	    BUS_SPACE_MAXSIZE_32BIT,	/* maxsegsize */
@@ -366,7 +365,6 @@ le_pci_attach(device_t dev)
 	    16, 0,			/* alignment, boundary */
 	    BUS_SPACE_MAXADDR_32BIT,	/* lowaddr */
 	    BUS_SPACE_MAXADDR,		/* highaddr */
-	    NULL, NULL,			/* filter, filterarg */
 	    sc->sc_memsize,		/* maxsize */
 	    1,				/* nsegments */
 	    sc->sc_memsize,		/* maxsegsize */
diff --git a/sys/dev/netif/msk/if_msk.c b/sys/dev/netif/msk/if_msk.c
index e4b70b0aaf..c059744f06 100644
--- a/sys/dev/netif/msk/if_msk.c
+++ b/sys/dev/netif/msk/if_msk.c
@@ -1902,7 +1902,6 @@ msk_txrx_dma_alloc(struct msk_if_softc *sc_if)
 		    1, 0,			/* alignment, boundary */
 		    BUS_SPACE_MAXADDR_32BIT,	/* lowaddr */
 		    BUS_SPACE_MAXADDR,		/* highaddr */
-		    NULL, NULL,			/* filter, filterarg */
 		    BUS_SPACE_MAXSIZE_32BIT,	/* maxsize */
 		    0,				/* nsegments */
 		    BUS_SPACE_MAXSIZE_32BIT,	/* maxsegsize */
@@ -1943,7 +1942,6 @@ msk_txrx_dma_alloc(struct msk_if_softc *sc_if)
 		    1, 0,			/* alignment, boundary */
 		    BUS_SPACE_MAXADDR,		/* lowaddr */
 		    BUS_SPACE_MAXADDR,		/* highaddr */
-		    NULL, NULL,			/* filter, filterarg */
 		    MSK_JUMBO_FRAMELEN,		/* maxsize */
 		    MSK_MAXTXSEGS,		/* nsegments */
 		    MSK_MAXSGSIZE,		/* maxsegsize */
@@ -1993,7 +1991,6 @@ msk_txrx_dma_alloc(struct msk_if_softc *sc_if)
 		    rxalign, 0,			/* alignment, boundary */
 		    BUS_SPACE_MAXADDR,		/* lowaddr */
 		    BUS_SPACE_MAXADDR,		/* highaddr */
-		    NULL, NULL,			/* filter, filterarg */
 		    MCLBYTES,			/* maxsize */
 		    1,				/* nsegments */
 		    MCLBYTES,			/* maxsegsize */
@@ -2048,7 +2045,6 @@ msk_txrx_dma_alloc(struct msk_if_softc *sc_if)
 		    MSK_RING_ALIGN, 0,		/* alignment, boundary */
 		    BUS_SPACE_MAXADDR,		/* lowaddr */
 		    BUS_SPACE_MAXADDR,		/* highaddr */
-		    NULL, NULL,			/* filter, filterarg */
 		    MSK_JUMBO_RX_RING_SZ,	/* maxsize */
 		    1,				/* nsegments */
 		    MSK_JUMBO_RX_RING_SZ,	/* maxsegsize */
@@ -2089,7 +2085,6 @@ msk_txrx_dma_alloc(struct msk_if_softc *sc_if)
 		    PAGE_SIZE, 0,		/* alignment, boundary */
 		    BUS_SPACE_MAXADDR,		/* lowaddr */
 		    BUS_SPACE_MAXADDR,		/* highaddr */
-		    NULL, NULL,			/* filter, filterarg */
 		    MSK_JMEM,			/* maxsize */
 		    1,				/* nsegments */
 		    MSK_JMEM,			/* maxsegsize */
@@ -2107,7 +2102,6 @@ msk_txrx_dma_alloc(struct msk_if_softc *sc_if)
 		    PAGE_SIZE, 0,		/* alignment, boundary */
 		    BUS_SPACE_MAXADDR,		/* lowaddr */
 		    BUS_SPACE_MAXADDR,		/* highaddr */
-		    NULL, NULL,			/* filter, filterarg */
 		    MCLBYTES * MSK_MAXRXSEGS,	/* maxsize */
 		    MSK_MAXRXSEGS,		/* nsegments */
 		    MSK_JLEN,			/* maxsegsize */
diff --git a/sys/dev/netif/mxge/if_mxge.c b/sys/dev/netif/mxge/if_mxge.c
index 45142124a0..e037891e2e 100644
--- a/sys/dev/netif/mxge/if_mxge.c
+++ b/sys/dev/netif/mxge/if_mxge.c
@@ -3028,7 +3028,6 @@ mxge_alloc_slice_rings(struct mxge_slice_state *ss, int rx_ring_entries,
 				 4096,			/* boundary */
 				 BUS_SPACE_MAXADDR,	/* low */
 				 BUS_SPACE_MAXADDR,	/* high */
-				 NULL, NULL,		/* filter */
 				 MHLEN,			/* maxsize */
 				 1,			/* num segs */
 				 MHLEN,			/* maxsegsize */
@@ -3074,7 +3073,6 @@ mxge_alloc_slice_rings(struct mxge_slice_state *ss, int rx_ring_entries,
 				 4096,			/* boundary */
 				 BUS_SPACE_MAXADDR,	/* low */
 				 BUS_SPACE_MAXADDR,	/* high */
-				 NULL, NULL,		/* filter */
 				 4096,			/* maxsize */
 				 1,			/* num segs */
 				 4096,			/* maxsegsize*/
@@ -3144,7 +3142,6 @@ mxge_alloc_slice_rings(struct mxge_slice_state *ss, int rx_ring_entries,
 				 sc->tx_boundary,	/* boundary */
 				 BUS_SPACE_MAXADDR,	/* low */
 				 BUS_SPACE_MAXADDR,	/* high */
-				 NULL, NULL,		/* filter */
 				 IP_MAXPACKET +
 				 sizeof(struct ether_vlan_header),
 				 			/* maxsize */
@@ -4263,7 +4260,6 @@ mxge_attach(device_t dev)
 				 0,			/* boundary */
 				 BUS_SPACE_MAXADDR,	/* low */
 				 BUS_SPACE_MAXADDR,	/* high */
-				 NULL, NULL,		/* filter */
 				 BUS_SPACE_MAXSIZE_32BIT,/* maxsize */
 				 0, 			/* num segs */
 				 BUS_SPACE_MAXSIZE_32BIT,/* maxsegsize */
diff --git a/sys/dev/netif/nfe/if_nfe.c b/sys/dev/netif/nfe/if_nfe.c
index 71c6c51ffe..bb21b88c07 100644
--- a/sys/dev/netif/nfe/if_nfe.c
+++ b/sys/dev/netif/nfe/if_nfe.c
@@ -551,7 +551,6 @@ nfe_attach(device_t dev)
 			1, 0,			/* alignment, boundary */
 			lowaddr,		/* lowaddr */
 			BUS_SPACE_MAXADDR,	/* highaddr */
-			NULL, NULL,		/* filter, filterarg */
 			BUS_SPACE_MAXSIZE_32BIT,/* maxsize */
 			0,			/* nsegments */
 			BUS_SPACE_MAXSIZE_32BIT,/* maxsegsize */
@@ -1691,7 +1690,6 @@ nfe_alloc_rx_ring(struct nfe_softc *sc, struct nfe_rx_ring *ring)
 
 	error = bus_dma_tag_create(sc->sc_dtag, 1, 0,
 				   BUS_SPACE_MAXADDR, BUS_SPACE_MAXADDR,
-				   NULL, NULL,
 				   MCLBYTES, 1, MCLBYTES,
 				   BUS_DMA_ALLOCNOW | BUS_DMA_WAITOK,
 				   &ring->data_tag);
@@ -1964,7 +1962,6 @@ nfe_alloc_tx_ring(struct nfe_softc *sc, struct nfe_tx_ring *ring)
 
 	error = bus_dma_tag_create(sc->sc_dtag, 1, 0,
 			BUS_SPACE_MAXADDR, BUS_SPACE_MAXADDR,
-			NULL, NULL,
 			NFE_JBYTES, NFE_MAX_SCATTER, MCLBYTES,
 			BUS_DMA_ALLOCNOW | BUS_DMA_WAITOK | BUS_DMA_ONEBPAGE,
 			&ring->data_tag);
diff --git a/sys/dev/netif/oce/oce_queue.c b/sys/dev/netif/oce/oce_queue.c
index bcd4261969..184694a484 100644
--- a/sys/dev/netif/oce/oce_queue.c
+++ b/sys/dev/netif/oce/oce_queue.c
@@ -236,7 +236,6 @@ oce_wq *oce_wq_init(POCE_SOFTC sc, uint32_t q_len, uint32_t wq_type)
 				1, 0,
 				BUS_SPACE_MAXADDR,
 				BUS_SPACE_MAXADDR,
-				NULL, NULL,
 				OCE_MAX_TX_SIZE,
 				OCE_MAX_TX_ELEMENTS,
 				PAGE_SIZE, 0, &wq->tag);
@@ -439,7 +438,6 @@ oce_rq *oce_rq_init(POCE_SOFTC sc,
 				1, 0,
 				BUS_SPACE_MAXADDR,
 				BUS_SPACE_MAXADDR,
-				NULL, NULL,
 				OCE_MAX_RX_SIZE,
 				1, PAGE_SIZE, 0, &rq->tag);
 
diff --git a/sys/dev/netif/oce/oce_util.c b/sys/dev/netif/oce/oce_util.c
index f47bc250a0..b3302e8a56 100644
--- a/sys/dev/netif/oce/oce_util.c
+++ b/sys/dev/netif/oce/oce_util.c
@@ -67,7 +67,6 @@ oce_dma_alloc(POCE_SOFTC sc, bus_size_t size, POCE_DMA_MEM dma, int flags)
 				8, 0,
 				BUS_SPACE_MAXADDR,
 				BUS_SPACE_MAXADDR,
-				NULL, NULL,
 				size, 1, size, 0, &dma->tag);
 
 	if (rc == 0) {
@@ -182,7 +181,6 @@ oce_create_ring_buffer(POCE_SOFTC sc,
 				4096, 0,
 				BUS_SPACE_MAXADDR,
 				BUS_SPACE_MAXADDR,
-				NULL, NULL,
 				size, 8, 4096, 0, &ring->dma.tag);
 	if (rc)
 		goto fail;
diff --git a/sys/dev/netif/ral/rt2560.c b/sys/dev/netif/ral/rt2560.c
index c72dd850a4..15247ef99c 100644
--- a/sys/dev/netif/ral/rt2560.c
+++ b/sys/dev/netif/ral/rt2560.c
@@ -476,7 +476,7 @@ rt2560_alloc_tx_ring(struct rt2560_softc *sc, struct rt2560_tx_ring *ring,
 
 #if defined(__DragonFly__)
 	error = bus_dma_tag_create(bus_get_dma_tag(sc->sc_dev), 4, 0,
-	    BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR, NULL, NULL,
+	    BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR,
 	    count * RT2560_TX_DESC_SIZE, 1, count * RT2560_TX_DESC_SIZE,
 	    0, &ring->desc_dmat);
 #else
@@ -515,7 +515,7 @@ rt2560_alloc_tx_ring(struct rt2560_softc *sc, struct rt2560_tx_ring *ring,
 
 #if defined(__DragonFly__)
 	error = bus_dma_tag_create(bus_get_dma_tag(sc->sc_dev), 4, 0,
-	    BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR, NULL, NULL,
+	    BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR,
 	    MCLBYTES, RT2560_MAX_SCATTER, MCLBYTES, 0,
 	    &ring->data_dmat);
 #else
@@ -634,7 +634,7 @@ rt2560_alloc_rx_ring(struct rt2560_softc *sc, struct rt2560_rx_ring *ring,
 
 #if defined(__DragonFly__)
 	error = bus_dma_tag_create(bus_get_dma_tag(sc->sc_dev), 4, 0,
-	    BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR, NULL, NULL,
+	    BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR,
 	    count * RT2560_RX_DESC_SIZE, 1, count * RT2560_RX_DESC_SIZE,
 	    0, &ring->desc_dmat);
 #else
@@ -676,7 +676,7 @@ rt2560_alloc_rx_ring(struct rt2560_softc *sc, struct rt2560_rx_ring *ring,
 	 */
 #if defined(__DragonFly__)
 	error = bus_dma_tag_create(bus_get_dma_tag(sc->sc_dev), 4, 0,
-	    BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR, NULL, NULL, MCLBYTES,
+	    BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR, MCLBYTES,
 	    1, MCLBYTES, 0, &ring->data_dmat);
 #else
 	error = bus_dma_tag_create(bus_get_dma_tag(sc->sc_dev), 1, 0,
diff --git a/sys/dev/netif/ral/rt2661.c b/sys/dev/netif/ral/rt2661.c
index 15de3bf643..bacbf96d9f 100644
--- a/sys/dev/netif/ral/rt2661.c
+++ b/sys/dev/netif/ral/rt2661.c
@@ -485,7 +485,7 @@ rt2661_alloc_tx_ring(struct rt2661_softc *sc, struct rt2661_tx_ring *ring,
 
 #if defined(__DragonFly__)
 	error = bus_dma_tag_create(bus_get_dma_tag(sc->sc_dev), 4, 0,
-	    BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR, NULL, NULL,
+	    BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR,
 	    count * RT2661_TX_DESC_SIZE, 1, count * RT2661_TX_DESC_SIZE,
 	    0, &ring->desc_dmat);
 #else
@@ -524,7 +524,7 @@ rt2661_alloc_tx_ring(struct rt2661_softc *sc, struct rt2661_tx_ring *ring,
 
 #if defined(__DragonFly__)
 	error = bus_dma_tag_create(bus_get_dma_tag(sc->sc_dev), 4, 0,
-	    BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR, NULL, NULL, MCLBYTES,
+	    BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR, MCLBYTES,
 	    RT2661_MAX_SCATTER, MCLBYTES, 0, &ring->data_dmat);
 #else
 	error = bus_dma_tag_create(bus_get_dma_tag(sc->sc_dev), 1, 0,
@@ -639,7 +639,7 @@ rt2661_alloc_rx_ring(struct rt2661_softc *sc, struct rt2661_rx_ring *ring,
 
 #if defined(__DragonFly__)
 	error = bus_dma_tag_create(bus_get_dma_tag(sc->sc_dev), 4, 0,
-	    BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR, NULL, NULL,
+	    BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR,
 	    count * RT2661_RX_DESC_SIZE, 1, count * RT2661_RX_DESC_SIZE,
 	    0, &ring->desc_dmat);
 #else
@@ -681,7 +681,7 @@ rt2661_alloc_rx_ring(struct rt2661_softc *sc, struct rt2661_rx_ring *ring,
 	 */
 #if defined(__DragonFly__)
 	error = bus_dma_tag_create(bus_get_dma_tag(sc->sc_dev), 4, 0,
-	    BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR, NULL, NULL, MCLBYTES,
+	    BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR, MCLBYTES,
 	    1, MCLBYTES, 0, &ring->data_dmat);
 #else
 	error = bus_dma_tag_create(bus_get_dma_tag(sc->sc_dev), 1, 0,
diff --git a/sys/dev/netif/ral/rt2860.c b/sys/dev/netif/ral/rt2860.c
index 4e16695a3f..b1d503875f 100644
--- a/sys/dev/netif/ral/rt2860.c
+++ b/sys/dev/netif/ral/rt2860.c
@@ -533,7 +533,7 @@ rt2860_alloc_tx_ring(struct rt2860_softc *sc, struct rt2860_tx_ring *ring)
 
 #if defined(__DragonFly__)
 	error = bus_dma_tag_create(bus_get_dma_tag(sc->sc_dev), 16, 0,
-	    BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR, NULL, NULL,
+	    BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR,
 	    size, 1, size, 0, &ring->desc_dmat);
 #else
 	error = bus_dma_tag_create(bus_get_dma_tag(sc->sc_dev), 16, 0,
@@ -646,7 +646,7 @@ rt2860_alloc_tx_pool(struct rt2860_softc *sc)
 
 #if defined(__DragonFly__)
 	error = bus_dma_tag_create(bus_get_dma_tag(sc->sc_dev), 4, 0,
-	    BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR, NULL, NULL,
+	    BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR,
 	    size, 1, size, 0, &sc->txwi_dmat);
 #else
 	error = bus_dma_tag_create(bus_get_dma_tag(sc->sc_dev), 1, 0,
@@ -727,7 +727,7 @@ rt2860_alloc_rx_ring(struct rt2860_softc *sc, struct rt2860_rx_ring *ring)
 
 #if defined(__DragonFly__)
 	error = bus_dma_tag_create(bus_get_dma_tag(sc->sc_dev), 16, 0,
-	    BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR, NULL, NULL,
+	    BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR,
 	    size, 1, size, 0, &ring->desc_dmat);
 #else
 	error = bus_dma_tag_create(bus_get_dma_tag(sc->sc_dev), 16, 0,
@@ -755,7 +755,7 @@ rt2860_alloc_rx_ring(struct rt2860_softc *sc, struct rt2860_rx_ring *ring)
 
 #if defined(__DragonFly__)
 	error = bus_dma_tag_create(bus_get_dma_tag(sc->sc_dev), 4, 0,
-	    BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR, NULL, NULL, MCLBYTES,
+	    BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR, MCLBYTES,
 	    1, MCLBYTES, 0, &ring->data_dmat);
 #else
 	error = bus_dma_tag_create(bus_get_dma_tag(sc->sc_dev), 1, 0,
diff --git a/sys/dev/netif/re/if_re.c b/sys/dev/netif/re/if_re.c
index b44a51cf0b..62fbc94fba 100644
--- a/sys/dev/netif/re/if_re.c
+++ b/sys/dev/netif/re/if_re.c
@@ -356,7 +356,6 @@ re_allocmem(device_t dev)
 			1, 0,			/* alignment, boundary */
 			BUS_SPACE_MAXADDR,	/* lowaddr */
 			BUS_SPACE_MAXADDR,	/* highaddr */
-			NULL, NULL,		/* filter, filterarg */
 			BUS_SPACE_MAXSIZE_32BIT,/* maxsize */
 			0,			/* nsegments */
 			BUS_SPACE_MAXSIZE_32BIT,/* maxsegsize */
@@ -401,7 +400,6 @@ re_allocmem(device_t dev)
 	error = bus_dma_tag_create(sc->re_parent_tag,
 			1, 0,
 			BUS_SPACE_MAXADDR, BUS_SPACE_MAXADDR,
-			NULL, NULL,
 			RE_FRAMELEN_MAX, RE_MAXSEGS, MCLBYTES,
 			BUS_DMA_ALLOCNOW | BUS_DMA_WAITOK | BUS_DMA_ONEBPAGE,
 			&sc->re_ldata.re_tx_mtag);
@@ -426,7 +424,6 @@ re_allocmem(device_t dev)
 	error = bus_dma_tag_create(sc->re_parent_tag,
 			RE_RXBUF_ALIGN, 0,
 			BUS_SPACE_MAXADDR, BUS_SPACE_MAXADDR,
-			NULL, NULL,
 			MCLBYTES, 1, MCLBYTES,
 			BUS_DMA_ALLOCNOW | BUS_DMA_WAITOK | BUS_DMA_ALIGNED,
 			&sc->re_ldata.re_rx_mtag);
diff --git a/sys/dev/netif/rl/if_rl.c b/sys/dev/netif/rl/if_rl.c
index 55ec840c37..835ba6c385 100644
--- a/sys/dev/netif/rl/if_rl.c
+++ b/sys/dev/netif/rl/if_rl.c
@@ -1692,7 +1692,6 @@ rl_dma_alloc(struct rl_softc *sc)
 			1, 0,			/* alignment, boundary */
 			BUS_SPACE_MAXADDR_32BIT,/* lowaddr */
 			BUS_SPACE_MAXADDR,	/* highaddr */
-			NULL, NULL,		/* filter, filterarg */
 			BUS_SPACE_MAXSIZE_32BIT,/* maxsize */
 			0,			/* nsegments */
 			BUS_SPACE_MAXSIZE_32BIT,/* maxsegsize */
@@ -1725,7 +1724,6 @@ rl_dma_alloc(struct rl_softc *sc)
 			RL_TXBUF_ALIGN, 0,	/* alignment, boundary */
 			BUS_SPACE_MAXADDR,	/* lowaddr */
 			BUS_SPACE_MAXADDR,	/* highaddr */
-			NULL, NULL,		/* filter, filterarg */
 			MCLBYTES,		/* maxsize */
 			1,			/* nsegments */
 			MCLBYTES,		/* maxsegsize */
diff --git a/sys/dev/netif/sis/if_sis.c b/sys/dev/netif/sis/if_sis.c
index 1225a6e8cb..8eff76efd6 100644
--- a/sys/dev/netif/sis/if_sis.c
+++ b/sys/dev/netif/sis/if_sis.c
@@ -2104,7 +2104,6 @@ sis_dma_alloc(device_t dev)
 			1, 0,			/* alignment, boundary */
 			BUS_SPACE_MAXADDR_32BIT,/* lowaddr */
 			BUS_SPACE_MAXADDR,	/* highaddr */
-			NULL, NULL,		/* filter, filterarg */
 			BUS_SPACE_MAXSIZE_32BIT,/* maxsize */
 			0,			/* nsegments */
 			BUS_SPACE_MAXSIZE_32BIT,/* maxsegsize */
@@ -2142,7 +2141,6 @@ sis_dma_alloc(device_t dev)
 			1, 0,			/* alignment, boundary */
 			BUS_SPACE_MAXADDR,	/* lowaddr */
 			BUS_SPACE_MAXADDR,	/* highaddr */
-			NULL, NULL,		/* filter, filterarg */
 			MCLBYTES,		/* maxsize */
 			SIS_NSEGS,		/* nsegments */
 			MCLBYTES,		/* maxsegsize */
@@ -2178,7 +2176,6 @@ sis_dma_alloc(device_t dev)
 			SIS_RXBUF_ALIGN, 0,	/* alignment, boundary */
 			BUS_SPACE_MAXADDR,	/* lowaddr */
 			BUS_SPACE_MAXADDR,	/* highaddr */
-			NULL, NULL,		/* filter, filterarg */
 			MCLBYTES,		/* maxsize */
 			1,			/* nsegments */
 			MCLBYTES,		/* maxsegsize */
diff --git a/sys/dev/netif/sk/if_sk.c b/sys/dev/netif/sk/if_sk.c
index 24c9fff8e8..3c9a9947e5 100644
--- a/sys/dev/netif/sk/if_sk.c
+++ b/sys/dev/netif/sk/if_sk.c
@@ -3030,7 +3030,6 @@ sk_dma_alloc(device_t dev)
 	/* Create parent DMA tag */
 	error = bus_dma_tag_create(NULL, 1, 0,
 				   BUS_SPACE_MAXADDR, BUS_SPACE_MAXADDR,
-				   NULL, NULL,
 				   BUS_SPACE_MAXSIZE_32BIT, 0,
 				   BUS_SPACE_MAXSIZE_32BIT,
 				   0, &sc_if->sk_parent_dtag);
@@ -3043,7 +3042,6 @@ sk_dma_alloc(device_t dev)
 	error = bus_dma_tag_create(sc_if->sk_parent_dtag,
 				   1, SK_RING_BOUNDARY,
 				   BUS_SPACE_MAXADDR, BUS_SPACE_MAXADDR,
-				   NULL, NULL,
 				   BUS_SPACE_MAXSIZE_32BIT, 0,
 				   BUS_SPACE_MAXSIZE_32BIT,
 				   0, &rd->sk_ring_dtag);
@@ -3055,7 +3053,6 @@ sk_dma_alloc(device_t dev)
 	/* Create top level buffer DMA tag */
 	error = bus_dma_tag_create(sc_if->sk_parent_dtag, 1, 0,
 				   BUS_SPACE_MAXADDR, BUS_SPACE_MAXADDR,
-				   NULL, NULL,
 				   BUS_SPACE_MAXSIZE_32BIT, 0,
 				   BUS_SPACE_MAXSIZE_32BIT,
 				   0, &cd->sk_buf_dtag);
@@ -3102,7 +3099,6 @@ sk_dma_alloc(device_t dev)
 	/* Create DMA tag for TX. */
 	error = bus_dma_tag_create(cd->sk_buf_dtag, 1, 0,
 				   BUS_SPACE_MAXADDR, BUS_SPACE_MAXADDR,
-				   NULL, NULL,
 				   SK_JLEN, SK_NTXSEG, SK_JLEN,
 				   BUS_DMA_ALLOCNOW | BUS_DMA_WAITOK |
 				   BUS_DMA_ONEBPAGE,
@@ -3133,7 +3129,6 @@ sk_dma_alloc(device_t dev)
 	/* Create DMA tag for RX. */
 	error = bus_dma_tag_create(cd->sk_buf_dtag, 1, 0,
 				   BUS_SPACE_MAXADDR, BUS_SPACE_MAXADDR,
-				   NULL, NULL,
 				   MCLBYTES, 1, MCLBYTES,
 				   BUS_DMA_ALLOCNOW | BUS_DMA_WAITOK,
 				   &cd->sk_rx_dtag);
diff --git a/sys/dev/netif/stge/if_stge.c b/sys/dev/netif/stge/if_stge.c
index 117be232fd..26336981c5 100644
--- a/sys/dev/netif/stge/if_stge.c
+++ b/sys/dev/netif/stge/if_stge.c
@@ -856,7 +856,6 @@ stge_dma_alloc(struct stge_softc *sc)
 		    1, 0,			/* algnmnt, boundary */
 		    STGE_DMA_MAXADDR,		/* lowaddr */
 		    BUS_SPACE_MAXADDR,		/* highaddr */
-		    NULL, NULL,			/* filter, filterarg */
 		    BUS_SPACE_MAXSIZE_32BIT,	/* maxsize */
 		    0,				/* nsegments */
 		    BUS_SPACE_MAXSIZE_32BIT,	/* maxsegsize */
@@ -900,7 +899,6 @@ stge_dma_alloc(struct stge_softc *sc)
 		    1, 0,			/* algnmnt, boundary */
 		    BUS_SPACE_MAXADDR,		/* lowaddr */
 		    BUS_SPACE_MAXADDR,		/* highaddr */
-		    NULL, NULL,			/* filter, filterarg */
 		    STGE_JUMBO_FRAMELEN,	/* maxsize */
 		    STGE_MAXTXSEGS,		/* nsegments */
 		    STGE_MAXSGSIZE,		/* maxsegsize */
@@ -938,7 +936,6 @@ stge_dma_alloc(struct stge_softc *sc)
 		    1, 0,			/* algnmnt, boundary */
 		    BUS_SPACE_MAXADDR,		/* lowaddr */
 		    BUS_SPACE_MAXADDR,		/* highaddr */
-		    NULL, NULL,			/* filter, filterarg */
 		    MCLBYTES,			/* maxsize */
 		    1,				/* nsegments */
 		    MCLBYTES,			/* maxsegsize */
diff --git a/sys/dev/netif/vge/if_vge.c b/sys/dev/netif/vge/if_vge.c
index 74ead1eecb..d510c42d55 100644
--- a/sys/dev/netif/vge/if_vge.c
+++ b/sys/dev/netif/vge/if_vge.c
@@ -749,7 +749,6 @@ vge_dma_alloc(device_t dev)
 			1, 0,			/* alignment, boundary */
 			BUS_SPACE_MAXADDR_32BIT,/* lowaddr */
 			BUS_SPACE_MAXADDR,	/* highaddr */
-			NULL, NULL,		/* filter, filterarg */
 			MAXBSIZE, VGE_NSEG_NEW,	/* maxsize, nsegments */
 			BUS_SPACE_MAXSIZE_32BIT,/* maxsegsize */
 			BUS_DMA_ALLOCNOW,	/* flags */
@@ -765,7 +764,6 @@ vge_dma_alloc(device_t dev)
 	nseg = 32;
 	error = bus_dma_tag_create(sc->vge_parent_tag, ETHER_ALIGN, 0,
 				   BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR,
-				   NULL, NULL,
 				   MCLBYTES * nseg, nseg, MCLBYTES,
 				   BUS_DMA_ALLOCNOW, &sc->vge_ldata.vge_mtag);
 	if (error) {
@@ -778,7 +776,6 @@ vge_dma_alloc(device_t dev)
 	 */
 	error = bus_dma_tag_create(sc->vge_parent_tag, VGE_RING_ALIGN, 0,
 				   BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR,
-				   NULL, NULL,
 				   VGE_TX_LIST_SZ, 1, VGE_TX_LIST_SZ,
 				   BUS_DMA_ALLOCNOW,
 				   &sc->vge_ldata.vge_tx_list_tag);
@@ -830,7 +827,6 @@ vge_dma_alloc(device_t dev)
 	 */
 	error = bus_dma_tag_create(sc->vge_parent_tag, VGE_RING_ALIGN, 0,
 				   BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR,
-				   NULL, NULL,
 				   VGE_TX_LIST_SZ, 1, VGE_TX_LIST_SZ,
 				   BUS_DMA_ALLOCNOW,
 				   &sc->vge_ldata.vge_rx_list_tag);
diff --git a/sys/dev/netif/wpi/if_wpi.c b/sys/dev/netif/wpi/if_wpi.c
index a3ed4ea26d..bf397a58a0 100644
--- a/sys/dev/netif/wpi/if_wpi.c
+++ b/sys/dev/netif/wpi/if_wpi.c
@@ -930,7 +930,7 @@ wpi_dma_contig_alloc(struct wpi_softc *sc, struct wpi_dma_info *dma,
 
 #if defined(__DragonFly__)
 	error = bus_dma_tag_create(bus_get_dma_tag(sc->sc_dev), alignment,
-	    0, BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR, NULL, NULL, size,
+	    0, BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR, size,
 	    1, size, 0, &dma->tag);
 #else
 	error = bus_dma_tag_create(bus_get_dma_tag(sc->sc_dev), alignment,
@@ -1037,7 +1037,7 @@ wpi_alloc_rx_ring(struct wpi_softc *sc)
 	/* Create RX buffer DMA tag. */
 #if defined(__DragonFly__)
 	error = bus_dma_tag_create(bus_get_dma_tag(sc->sc_dev), 1, 0,
-	    BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR, NULL, NULL,
+	    BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR,
 	    MJUMPAGESIZE, 1, MJUMPAGESIZE, 0, &ring->data_dmat);
 #else
 	error = bus_dma_tag_create(bus_get_dma_tag(sc->sc_dev), 1, 0,
@@ -1226,7 +1226,7 @@ wpi_alloc_tx_ring(struct wpi_softc *sc, struct wpi_tx_ring *ring, uint8_t qid)
 
 #if defined(__DragonFly__)
 	error = bus_dma_tag_create(bus_get_dma_tag(sc->sc_dev), 1, 0,
-	    BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR, NULL, NULL, MCLBYTES,
+	    BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR, MCLBYTES,
 	    WPI_MAX_SCATTER - 1, MCLBYTES, 0, &ring->data_dmat);
 #else
 	error = bus_dma_tag_create(bus_get_dma_tag(sc->sc_dev), 1, 0,
diff --git a/sys/dev/netif/xl/if_xl.c b/sys/dev/netif/xl/if_xl.c
index b2ca469f1c..226be91c7c 100644
--- a/sys/dev/netif/xl/if_xl.c
+++ b/sys/dev/netif/xl/if_xl.c
@@ -1612,7 +1612,6 @@ xl_dma_alloc(device_t dev)
 	 */
 	error = bus_dma_tag_create(NULL, 1, 0,
 				   BUS_SPACE_MAXADDR_32BIT, BUS_SPACE_MAXADDR,
-				   NULL, NULL,
 				   BUS_SPACE_MAXSIZE_32BIT, 0,
 				   BUS_SPACE_MAXSIZE_32BIT,
 				   0, &sc->xl_parent_tag);
@@ -1657,7 +1656,6 @@ xl_dma_alloc(device_t dev)
 	 */
 	error = bus_dma_tag_create(sc->xl_parent_tag, 1, 0,
 				   BUS_SPACE_MAXADDR, BUS_SPACE_MAXADDR,
-				   NULL, NULL,
 				   MCLBYTES, 1, MCLBYTES,
 				   BUS_DMA_WAITOK | BUS_DMA_ALLOCNOW,
 				   &sc->xl_rx_mtag);
@@ -1691,7 +1689,6 @@ xl_dma_alloc(device_t dev)
 
 	error = bus_dma_tag_create(sc->xl_parent_tag, 1, 0,
 				   BUS_SPACE_MAXADDR, BUS_SPACE_MAXADDR,
-				   NULL, NULL,
 				   MCLBYTES, XL_MAXFRAGS, MCLBYTES,
 				   BUS_DMA_ALLOCNOW | BUS_DMA_WAITOK,
 				   &sc->xl_tx_mtag);
diff --git a/sys/dev/raid/aac/aac.c b/sys/dev/raid/aac/aac.c
index 51aba99ec7..40b14a1044 100644
--- a/sys/dev/raid/aac/aac.c
+++ b/sys/dev/raid/aac/aac.c
@@ -506,7 +506,6 @@ aac_alloc(struct aac_softc *sc)
 			       BUS_SPACE_MAXADDR :
 			       BUS_SPACE_MAXADDR_32BIT,	/* lowaddr */
 			       BUS_SPACE_MAXADDR, 	/* highaddr */
-			       NULL, NULL, 		/* filter, filterarg */
 			       MAXBSIZE,		/* maxsize */
 			       sc->aac_sg_tablesize,	/* nsegments */
 			       MAXBSIZE,		/* maxsegsize */
@@ -525,7 +524,6 @@ aac_alloc(struct aac_softc *sc)
 			       BUS_SPACE_MAXADDR_32BIT :
 			       0x7fffffff,		/* lowaddr */
 			       BUS_SPACE_MAXADDR, 	/* highaddr */
-			       NULL, NULL, 		/* filter, filterarg */
 			       sc->aac_max_fibs_alloc *
 			       sc->aac_max_fib_size,  /* maxsize */
 			       1,			/* nsegments */
@@ -546,7 +544,6 @@ aac_alloc(struct aac_softc *sc)
 			       BUS_SPACE_MAXADDR_32BIT :
 			       0x7fffffff,		/* lowaddr */
 			       BUS_SPACE_MAXADDR, 	/* highaddr */
-			       NULL, NULL, 		/* filter, filterarg */
 			       8192 + sizeof(struct aac_common), /* maxsize */
 			       1,			/* nsegments */
 			       BUS_SPACE_MAXSIZE_32BIT,	/* maxsegsize */
diff --git a/sys/dev/raid/aac/aac_pci.c b/sys/dev/raid/aac/aac_pci.c
index 78eb928ff2..ae0f4924ea 100644
--- a/sys/dev/raid/aac/aac_pci.c
+++ b/sys/dev/raid/aac/aac_pci.c
@@ -441,7 +441,6 @@ aac_pci_attach(device_t dev)
 			       PAGE_SIZE, 0,		/* algnmnt, boundary */
 			       BUS_SPACE_MAXADDR,	/* lowaddr */
 			       BUS_SPACE_MAXADDR, 	/* highaddr */
-			       NULL, NULL, 		/* filter, filterarg */
 			       BUS_SPACE_MAXSIZE_32BIT,	/* maxsize */
 			       BUS_SPACE_UNRESTRICTED,	/* nsegments */
 			       BUS_SPACE_MAXSIZE_32BIT,	/* maxsegsize */
diff --git a/sys/dev/raid/amr/amr_pci.c b/sys/dev/raid/amr/amr_pci.c
index 0a56b6926f..045849400c 100644
--- a/sys/dev/raid/amr/amr_pci.c
+++ b/sys/dev/raid/amr/amr_pci.c
@@ -281,7 +281,6 @@ amr_pci_attach(device_t dev)
 			   BUS_SPACE_MAXADDR :
 			   BUS_SPACE_MAXADDR_32BIT,	/* lowaddr */
 			   BUS_SPACE_MAXADDR, 		/* highaddr */
-			   NULL, NULL, 			/* filter, filterarg */
 			   MAXBSIZE, AMR_NSEG,		/* maxsize, nsegments */
 			   BUS_SPACE_MAXSIZE_32BIT,	/* maxsegsize */
 			   0,				/* flags */
@@ -297,7 +296,6 @@ amr_pci_attach(device_t dev)
 			   1, 0,			/* alignment,boundary */
 			   BUS_SPACE_MAXADDR_32BIT,	/* lowaddr */
 			   BUS_SPACE_MAXADDR,		/* highaddr */
-			   NULL, NULL,			/* filter, filterarg */
 			   MAXBSIZE, AMR_NSEG,		/* maxsize, nsegments */
 			   MAXBSIZE,			/* maxsegsize */
 			   0,		/* flags */
@@ -310,7 +308,6 @@ amr_pci_attach(device_t dev)
 			   1, 0,			/* alignment,boundary */
 			   BUS_SPACE_MAXADDR,		/* lowaddr */
 			   BUS_SPACE_MAXADDR,		/* highaddr */
-			   NULL, NULL,			/* filter, filterarg */
 			   MAXBSIZE, AMR_NSEG,		/* maxsize, nsegments */
 			   MAXBSIZE,			/* maxsegsize */
 			   0,		/* flags */
@@ -568,7 +565,6 @@ amr_sglist_map(struct amr_softc *sc)
 			       512, 0, 			/* alignment,boundary */
 			       BUS_SPACE_MAXADDR_32BIT,	/* lowaddr */
 			       BUS_SPACE_MAXADDR, 	/* highaddr */
-			       NULL, NULL, 		/* filter, filterarg */
 			       segsize, 1,		/* maxsize, nsegments */
 			       BUS_SPACE_MAXSIZE_32BIT,	/* maxsegsize */
 			       0,			/* flags */
@@ -635,7 +631,6 @@ amr_setup_mbox(struct amr_softc *sc)
 			       16, 0,			/* alignment,boundary */
 			       BUS_SPACE_MAXADDR_32BIT,	/* lowaddr */
 			       BUS_SPACE_MAXADDR,	/* highaddr */
-			       NULL, NULL,		/* filter, filterarg */
 			       sizeof(struct amr_mailbox64), /* maxsize */
 			       1,			/* nsegments */
 			       BUS_SPACE_MAXSIZE_32BIT,	/* maxsegsize */
@@ -684,7 +679,6 @@ amr_ccb_map(struct amr_softc *sc)
 				128, 0,			/* alignment,boundary */
 				BUS_SPACE_MAXADDR_32BIT,/* lowaddr */
 				BUS_SPACE_MAXADDR,	/* highaddr */
-				NULL, NULL,		/* filter, filterarg */
 				ccbsize,		/* maxsize */
 				1,			/* nsegments */
 				ccbsize,		/* maxsegsize */
diff --git a/sys/dev/raid/arcmsr/arcmsr.c b/sys/dev/raid/arcmsr/arcmsr.c
index f2986a25d7..b2a48c4cae 100644
--- a/sys/dev/raid/arcmsr/arcmsr.c
+++ b/sys/dev/raid/arcmsr/arcmsr.c
@@ -4366,8 +4366,6 @@ static u_int32_t arcmsr_initialize(device_t dev)
 				/*boundary*/		0,
 				/*lowaddr*/		BUS_SPACE_MAXADDR,
 				/*highaddr*/		BUS_SPACE_MAXADDR,
-				/*filter*/		NULL,
-				/*filterarg*/		NULL,
 				/*maxsize*/		BUS_SPACE_MAXSIZE_32BIT,
 				/*nsegments*/		BUS_SPACE_UNRESTRICTED,
 				/*maxsegsz*/		BUS_SPACE_MAXSIZE_32BIT,
@@ -4383,8 +4381,6 @@ static u_int32_t arcmsr_initialize(device_t dev)
 				/*boundary*/		0,
 				/*lowaddr*/		BUS_SPACE_MAXADDR,
 				/*highaddr*/		BUS_SPACE_MAXADDR,
-				/*filter*/		NULL,
-				/*filterarg*/		NULL,
 				/*maxsize*/		ARCMSR_MAX_SG_ENTRIES * PAGE_SIZE * ARCMSR_MAX_FREESRB_NUM,
 				/*nsegments*/		ARCMSR_MAX_SG_ENTRIES,
 				/*maxsegsz*/		BUS_SPACE_MAXSIZE_32BIT,
@@ -4402,8 +4398,6 @@ static u_int32_t arcmsr_initialize(device_t dev)
 				/*boundary*/		0,
 				/*lowaddr*/		BUS_SPACE_MAXADDR_32BIT,
 				/*highaddr*/		BUS_SPACE_MAXADDR,
-				/*filter*/		NULL,
-				/*filterarg*/		NULL,
 				/*maxsize*/		max_coherent_size,
 				/*nsegments*/		1,
 				/*maxsegsz*/		BUS_SPACE_MAXSIZE_32BIT,
diff --git a/sys/dev/raid/asr/asr.c b/sys/dev/raid/asr/asr.c
index 34a3fbfb47..0207c0b155 100644
--- a/sys/dev/raid/asr/asr.c
+++ b/sys/dev/raid/asr/asr.c
@@ -2309,7 +2309,6 @@ asr_alloc_dma(Asr_softc_t *sc)
 			       1, 0,			/* algnmnt, boundary */
 			       BUS_SPACE_MAXADDR_32BIT,	/* lowaddr */
 			       BUS_SPACE_MAXADDR,	/* highaddr */
-			       NULL, NULL,		/* filter, filterarg */
 			       BUS_SPACE_MAXSIZE_32BIT, /* maxsize */
 			       BUS_SPACE_UNRESTRICTED,	/* nsegments */
 			       BUS_SPACE_MAXSIZE_32BIT,	/* maxsegsize */
@@ -2323,7 +2322,6 @@ asr_alloc_dma(Asr_softc_t *sc)
 			       1, 0,			/* algnmnt, boundary */
 			       BUS_SPACE_MAXADDR_32BIT,	/* lowaddr */
 			       BUS_SPACE_MAXADDR,	/* highaddr */
-			       NULL, NULL,		/* filter, filterarg */
 			       sizeof(sc->ha_statusmem),/* maxsize */
 			       1,			/* nsegments */
 			       sizeof(sc->ha_statusmem),/* maxsegsize */
